<?php

namespace Dedi\SyliusBlogPlugin\Entity;

use Sylius\Component\Customer\Model\CustomerInterface;

interface CommentInterface
{
    public function getContent();

    public function setContent(string $content);

    public function getArticle(): ArticleInterface;

    public function setArticle(ArticleInterface $article): self;

    public function getCustomer(): ?CustomerInterface;

    public function setCustomer(?CustomerInterface $customer): self;

    public function setCreatedAt(\DateTime $createdAt);

    public function getCreatedAt(): \DateTime;
}
